#include "Vector2.hpp"

/*** Custom Header File ***/
#include "../iVector/iVector2.hpp"

using MathEngine::Vector2;
using MathEngine::iVector2;

Vector2::Vector2( const float X /*= 0.0f*/, const float Y /*= 0.0f*/ )
	: x(X), y(Y)
{};

Vector2::Vector2( const SDL_Rect& copy )
{
	x = float(copy.x);
	y = float(copy.y);
}

Vector2& Vector2::operator=( const SDL_Rect& copy )
{
	x = float(copy.x);
	y = float(copy.y);

	return *this;
}

Vector2::Vector2( const iVector2& copy )
{
	x = float(copy.x);
	y = float(copy.y);
}

Vector2& Vector2::operator=( const iVector2& copy )
{
	x = float(copy.x);
	y = float(copy.y);

	return *this;
}